RefreshStorageUsage

POST/billing/v1/storage-usage/refresh

Query Parameters

org_id?org_id

The org_id query parameter.

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/billing.v1.StorageUsage",
  "$ref-value": {
    "type": "object",
    "properties": {
      "org_id": {
        "type": "string",
        "examples": [
          "OR98234j23"
        ],
        "title": "org_id"
      },
      "snapshot_date": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "examples": [
          "2026-01-15T10:30:00Z"
        ],
        "title": "snapshot_date"
      },
      "total_storage_bytes": {
        "type": "string",
        "examples": [
          "1073741824"
        ],
        "title": "total_storage_bytes",
        "format": "int64"
      },
      "video_storage_bytes": {
        "type": "string",
        "examples": [
          "1073741824"
        ],
        "title": "video_storage_bytes",
        "format": "int64"
      },
      "image_storage_bytes": {
        "type": "string",
        "examples": [
          "1073741824"
        ],
        "title": "image_storage_bytes",
        "format": "int64"
      },
      "total_video_minutes": {
        "type": "string",
        "examples": [
          "5"
        ],
        "title": "total_video_minutes"
      },
      "total_file_count": {
        "type": "integer",
        "examples": [
          "5"
        ],
        "title": "total_file_count",
        "format": "int32"
      },
      "video_file_count": {
        "type": "integer",
        "examples": [
          "5"
        ],
        "title": "video_file_count",
        "format": "int32"
      },
      "image_file_count": {
        "type": "integer",
        "examples": [
          "5"
        ],
        "title": "image_file_count",
        "format": "int32"
      },
      "project_count": {
        "type": "integer",
        "examples": [
          "5"
        ],
        "title": "project_count",
        "format": "int32"
      },
      "max_video_count": {
        "type": "integer",
        "examples": [
          "5"
        ],
        "title": "max_video_count",
        "format": "int32"
      },
      "max_image_count": {
        "type": "integer",
        "examples": [
          "5"
        ],
        "title": "max_image_count",
        "format": "int32"
      },
      "max_project_count": {
        "type": "integer",
        "examples": [
          "5"
        ],
        "title": "max_project_count",
        "format": "int32"
      },
      "last_updated": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "examples": [
          "2026-01-15T10:30:00Z"
        ],
        "title": "last_updated"
      }
    },
    "title": "StorageUsage",
    "additionalProperties": false
  }
}
curl -X POST "https://api.rixl.com/billing/v1/storage-usage/refresh"

Success

application/json

{
  "$ref": "#/components/schemas/billing.v1.StorageUsage",
  "$ref-value": {
    "type": "object",
    "properties": {
      "org_id": {
        "type": "string",
        "examples": [
          "OR98234j23"
        ],
        "title": "org_id"
      },
      "snapshot_date": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "examples": [
          "2026-01-15T10:30:00Z"
        ],
        "title": "snapshot_date"
      },
      "total_storage_bytes": {
        "type": "string",
        "examples": [
          "1073741824"
        ],
        "title": "total_storage_bytes",
        "format": "int64"
      },
      "video_storage_bytes": {
        "type": "string",
        "examples": [
          "1073741824"
        ],
        "title": "video_storage_bytes",
        "format": "int64"
      },
      "image_storage_bytes": {
        "type": "string",
        "examples": [
          "1073741824"
        ],
        "title": "image_storage_bytes",
        "format": "int64"
      },
      "total_video_minutes": {
        "type": "string",
        "examples": [
          "5"
        ],
        "title": "total_video_minutes"
      },
      "total_file_count": {
        "type": "integer",
        "examples": [
          "5"
        ],
        "title": "total_file_count",
        "format": "int32"
      },
      "video_file_count": {
        "type": "integer",
        "examples": [
          "5"
        ],
        "title": "video_file_count",
        "format": "int32"
      },
      "image_file_count": {
        "type": "integer",
        "examples": [
          "5"
        ],
        "title": "image_file_count",
        "format": "int32"
      },
      "project_count": {
        "type": "integer",
        "examples": [
          "5"
        ],
        "title": "project_count",
        "format": "int32"
      },
      "max_video_count": {
        "type": "integer",
        "examples": [
          "5"
        ],
        "title": "max_video_count",
        "format": "int32"
      },
      "max_image_count": {
        "type": "integer",
        "examples": [
          "5"
        ],
        "title": "max_image_count",
        "format": "int32"
      },
      "max_project_count": {
        "type": "integer",
        "examples": [
          "5"
        ],
        "title": "max_project_count",
        "format": "int32"
      },
      "last_updated": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "examples": [
          "2026-01-15T10:30:00Z"
        ],
        "title": "last_updated"
      }
    },
    "title": "StorageUsage",
    "additionalProperties": false
  }
}